## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/shadervar.h File Reference

Shader variable. More...

`#include "csextern.h"`
`#include "csgeom/transfrm.h"`
`#include "csgeom/vector2.h"`
`#include "csgeom/vector3.h"`
`#include "csgeom/vector4.h"`
`#include "csgfx/rgbpixel.h"`
`#include "csutil/cscolor.h"`
`#include "csutil/leakguard.h"`
`#include "csutil/refarr.h"`
`#include "csutil/refcount.h"`
`#include "csutil/strset.h"`
`#include "iengine/texture.h"`
`#include "ivideo/texture.h"`
`#include "ivideo/rndbuf.h"`

Go to the source code of this file.

## Classes

class | csShaderVariable
| Storage class for "shader vars", inheritable variables in the shader system. More...
struct | iShaderVariableAccessor
| Interface to an accessorcallback for shadervariables. More...

## Detailed Description

Shader variable.

Definition in file shadervar.h.